Skip to main content
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
proposals
cURL
curl --request POST \
  --url https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-grid-environment: <x-grid-environment>' \
  --data '
{
  "signer": "<string>",
  "transaction": "<string>",
  "type": "custom",
  "fee_config": {
    "payer_address": "<string>",
    "self_managed_fees": true
  }
}
'
import requests

url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals"

payload = {
"signer": "<string>",
"transaction": "<string>",
"type": "custom",
"fee_config": {
"payer_address": "<string>",
"self_managed_fees": True
}
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-grid-environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
signer: '<string>',
transaction: '<string>',
type: 'custom',
fee_config: {payer_address: '<string>', self_managed_fees: true}
})
};

fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "proposalAddress": "<string>",
    "signer": "<string>",
    "transactions": [
      "<string>"
    ]
  },
  "metadata": {
    "request_id": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Your Grid API key from the Grid Dashboard

Headers

x-grid-environment
string
required

Target Solana environment

Path Parameters

address
string
required

Smart account address (Solana public key)

Body

application/json
signer
string
required
transaction
string
required
type
enum<string>
required
Available options:
custom
fee_config
null | object

Response

Proposal Create transaction(s) created successfully

data
object
required
metadata
object
required